// *************************************************************** //
// Filename:    AccHelp.cpp                                        //
//                                                                 //
// Date:        November 26, 1993                                  //
//                                                                 //
// Description:                                                    //
// *************************************************************** //
#include "AccHelp.h"

// --------------------------------------------------------------- //
// AccHelpWindow constructor                                       //
// --------------------------------------------------------------- //
TAccHelpWindow::TAccHelpWindow() :
  TWindow(0, 0, 0)
{
}

// --------------------------------------------------------------- //
// AccHelpWindow destructor                                        //
// --------------------------------------------------------------- //
TAccHelpWindow::~TAccHelpWindow()
{
}

// --------------------------------------------------------------- //
// GetClassName                                                    //
// --------------------------------------------------------------- //
char *TAccHelpWindow::GetClassName()
{
  return "AccHelpClass";
}

// --------------------------------------------------------------- //
// GetWindowClass                                                  //
// --------------------------------------------------------------- //
void TAccHelpWindow::GetWindowClass(WNDCLASS &wc)
{
  TWindow::GetWindowClass(wc);
  wc.hbrBackground = (HBRUSH)GetStockObject(LTGRAY_BRUSH);
}

// --------------------------------------------------------------- //
// SetupWindow                                                     //
// --------------------------------------------------------------- //
void TAccHelpWindow::SetupWindow()
{
  TWindow::SetupWindow();
  // put new stuff here
}

// --------------------------------------------------------------- //
// CleanupWindow                                                   //
// --------------------------------------------------------------- //
void TAccHelpWindow::CleanupWindow()
{
  // put new stuff here
  TWindow::CleanupWindow();
}

// --------------------------------------------------------------- //
// Response table for AccHelpWindow                                //
// --------------------------------------------------------------- //
DEFINE_RESPONSE_TABLE1(TAccHelpWindow, TWindow)
  EV_COMMAND(CM_A, CmA),
  EV_COMMAND(CM_B, CmB),
  EV_COMMAND(CM_C, CmC),
  EV_COMMAND(CM_D, CmD),
END_RESPONSE_TABLE;

// --------------------------------------------------------------- //
// Response functions                                              //
// --------------------------------------------------------------- //
void TAccHelpWindow::CmA()
{
  MessageBox("You have selected menu item A", "Status", MB_OK);  
}

void TAccHelpWindow::CmB()
{
  MessageBox("You have selected menu item B", "Status", MB_OK);  
}

void TAccHelpWindow::CmC()
{
  MessageBox("You have selected menu item C", "Status", MB_OK);  
}

void TAccHelpWindow::CmD()
{
  MessageBox("You have selected menu item D", "Status", MB_OK);  
}

