// *************************************************************** //
// Filename:    app.cpp                                            //
//                                                                 //
// Date:        November 26, 1993                                  //
//                                                                 //
// Description:                                                    //
// *************************************************************** //

#include "AccHelp.h"

// --------------------------------------------------------------- //
// Application constructor                                         //
// --------------------------------------------------------------- //
TAccHelpApp::TAccHelpApp() : 
  TApplication() 
{
}

// --------------------------------------------------------------- //
// Application destructor                                          //
// --------------------------------------------------------------- //
TAccHelpApp::~TAccHelpApp()
{
}

// --------------------------------------------------------------- //
// InitMainWindow                                                  //
// --------------------------------------------------------------- //
void TAccHelpApp::InitMainWindow()
{
  SetMainWindow(new TFrameWindow(NULL, 
    "Accelerator Help application", new TAccHelpWindow));
  GetMainWindow()->AssignMenu("MainMenu");
  HAccTable = ::LoadAccelerators(*this, "MainAccel");
}

// --------------------------------------------------------------- //
// OwlMain                                                         //
// --------------------------------------------------------------- //
int OwlMain(int /*argc*/, char* /*argv*/ [])
{
  TAccHelpApp app;
  return app.Run();
}

